;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File Name :   wld.h
; Purpose   :   World Time mode application header
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; STATE REDEFINITIONS
;
;==============================================================================

WLDBANNERSTATE              equ     COREBANNERSTATE
WLDDEFAULTSTATE             equ     COREDEFAULTSTATE
WLDSETBANNERSTATE           equ     CORESETBANNERSTATE
WLDYOUROCKSETSTATE          equ     CORESETBANNERSTATE
WLDSETSTATE                 equ     CORESETSTATE
WLDPOPUPSTATE               equ     COREPOPUPSTATE
WLDPASSWORDDEFAULTSTATE     equ     COREPASSWORDDEFAULTSTATE
WLDPASSWORDSETBANNERSTATE   equ     COREPASSWORDSETBANNERSTATE
WLDPASSWORDSETSTATE         equ     COREPASSWORDSETSTATE

; TODO: Add your own state redefinition here

;==============================================================================
;
; EVENT REDEFINITIONS
;
;==============================================================================

WLD_STATEENTRY              equ     COREEVENT_STATEENTRY
WLD_CROWNHOME               equ     COREEVENT_CROWN_HOME
WLD_CROWNSET                equ     COREEVENT_CROWN_SET1
WLD_CWPULSES                equ     COREEVENT_CW_PULSES
WLD_CCWPULSES               equ     COREEVENT_CCW_PULSES
WLD_MODEDEPRESS             equ     COREEVENT_SWITCH1DEPRESS
WLD_NEXTCITY                equ     COREEVENT_CW_EDGE_TRAILING 
WLD_PREVIOUSCITY            equ     COREEVENT_CCW_EDGE_TRAILING

; TODO: Add your own state redefinition here

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


WLD_CITYRECORDHEADERSIZE    equ     5       
WLD_CITYRECORDNAMEOFFSET    equ     5

WLD_MINUTEMASK              equ     00000011b
WLD_HOURMASK                equ     00111100b
WLD_DSTMASK                 equ     01000000b
WLD_SIGNMASK                equ     10000000b