;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File Name :   wldvars.h
; Purpose   :   World Time Application Variable Offsets
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; World Time APPLICATION SYSTEM DATA
;
;==============================================================================

WLDSYSTEMDATASTARTOFFSET        equ        0


;16-bit record pointer
WLDCURRENTCITYINDEXOFFSET       equ        0


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Do not change this variable but change the value if necessary.
; The equate value of this, is the last number from the above variables plus 1
; When you add variables above, be sure to change the value of this too.

WLDSYSTEMDATASIZE               equ        2
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;==============================================================================
;
; World Time COMMON VARIABLE REDEFINITIONS
;
;==============================================================================

WLDCityGMTCode                  equ     (COREWorkBuffer +  0)
WLDCityCode0                    equ     (COREWorkBuffer +  1)
WLDCityCode1                    equ     (COREWorkBuffer +  2)
WLDCityCode2                    equ     (COREWorkBuffer +  3)
WLDCityNameSize                 equ     (COREWorkBuffer +  4)
WLDCityHourSign                 equ     (COREWorkBuffer +  5)
WLDCityHourOffsetBCD            equ     (COREWorkBuffer +  6)
WLDCityMinuteOffsetBCD          equ     (COREWorkBuffer +  7)
WLDCityName                     equ     (COREWorkBuffer +  8)


WLDTimeDateStructureFiller      equ     (COREForegroundCommonBuffer +  0)

WLDPTZGMTCode                   equ     (COREForegroundCommonBuffer +  0)
WLDPTZHourSign                  equ     (COREForegroundCommonBuffer +  1)
WLDPTZHourOffsetBCD             equ     (COREForegroundCommonBuffer +  2)
WLDPTZMinuteOffsetBCD           equ     (COREForegroundCommonBuffer +  3)

; must be at offset 8
WLDCityTimeMinute               equ     (COREForegroundCommonBuffer +  8)
WLDCityTimeHour                 equ     (COREForegroundCommonBuffer +  9)
WLDCityTimeDate                 equ     (COREForegroundCommonBuffer +  10)
WLDCityTimeMonth                equ     (COREForegroundCommonBuffer +  11)
WLDCityTimeYearLo               equ     (COREForegroundCommonBuffer +  12)
WLDCityTimeYearHi               equ     (COREForegroundCommonBuffer +  13)
WLDCityTimeDOW                  equ     (COREForegroundCommonBuffer +  14)

;2-byte record number
WLDNumberOfRecords              equ     (COREForegroundCommonBuffer +  16)


WLDUpdateBits                   equ     (COREForegroundCommonBuffer +  18)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; TODO: Put here your variables to be use on background operation
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

TempSign                        equ     (COREBackgroundCommonBuffer + 0)
TempHour                        equ     (COREBackgroundCommonBuffer + 1)
TempMinute                      equ     (COREBackgroundCommonBuffer + 2)